Subject: Re: bug#31712: cp --attributes-only

From: kalle <[email-masked]>
Date: Fri, 3 Aug 2018 08:24:43 +0200

unarchive 31712

Am 11.06.2018 um 01:38 schrieb Pádraig Brady:
> tag 31712 notabug
> close 31712
> stop
> 
> On 19/05/18 00:54, kalle wrote:
>> hello,
>> I have coreutils 8.26
>> and the option
>>
>> cp --attributes only FILE OTHERFILE
>>
>> correctly doesn't copy the content of FILE,
>> but the modification time of OTHERFILE is the actual date, whereas I
>> understood that it should be the same as in FILE.
> 
> You need to also specify -a, as per the documentation:
> 
> ‘--attributes-only’
>      Copy only the specified attributes of the source file to the
>      destination.  If the destination already exists, do not alter its
>      contents.  See the ‘--preserve’ option for controlling which
>      attributes to copy.
>
> thanks,
> Pádraig
> 

Sorry, but I just don't see any note here, requiring the use of `-a'.
kalle